List files in a subfolder
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}/folders/{folder} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}/folders/{folder}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}/folders/{folder}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currentFolder": "<string>",
"encodedCurrentFolder": "<string>",
"files": [
{
"contentType": "<string>",
"directory": true,
"dueDate": "2023-11-07T05:31:56Z",
"encodedName": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"id": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"name": "<string>",
"note": "<string>",
"selected": true,
"size": 123,
"uniqueIdentifier": "<string>"
}
],
"lastChangedFiles": [
{
"contentType": "<string>",
"directory": true,
"dueDate": "2023-11-07T05:31:56Z",
"encodedName": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"id": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"name": "<string>",
"note": "<string>",
"selected": true,
"size": 123,
"uniqueIdentifier": "<string>"
}
],
"rootFolder": true
}{
"message": "<string>",
"status": "<string>"
}{
"message": "<string>",
"status": "<string>"
}Connector
List files in a subfolder
List files in a subfolder of the selected connector. Requires ADMIN, PROJECT_MANAGER, LINGUIST, or SUBMITTER role.
GET
/
api2
/
v1
/
connectors
/
{connectorId}
/
folders
/
{folder}
List files in a subfolder
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Internal identifier of the connector; an opaque string, not numeric
Hex-encoded remote folder path
Query Parameters
UID of a project; when provided, source and target locales are read from the project
BCP 47 source locale; used when projectUid is not provided
Filter files by type
Available options:
ALL, FILES_ONLY, FOLDERS_ONLY Pattern:
ALL|FILES_ONLY|FOLDERS_ONLYSort field
Available options:
NAME, SIZE, LAST_MODIFIED Pattern:
NAME|SIZE|LAST_MODIFIEDSort direction
Available options:
ASCENDING, DESCENDING Pattern:
ASCENDING|DESCENDINGWas this page helpful?